@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  border: none;
  font-family: 'Press Start 2P', cursive;
}


main {
  display: flex;
  flex-direction: column;
  width: 100%;
  background-image: url('tartarugas-ninja.webp');
  background-size: cover;
  min-height: 100vh;
  align-items: center;
  justify-content: center;
  padding: 20px 20px 50px;
}

header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: rgba(255, 255, 255, 0.8);
  font-size: 1.2em;
  width: 100%;
  max-width: 800px;
  padding: 30px;
  margin: 0 0 30px;
  border-radius: 5px;

}

.grid {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 15px;
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
}

.card {
  aspect-ratio: 3/4;
  width: 100%;
  border-radius: 5px;
  position: relative;
  transition: all 400ms ease;
  transform-style: preserve-3d;
  background-color: #ccc;
}

.face {
  width: 100%;
  height: 100%;
  position: absolute;
  background-size: cover;
  background-position: center;
  border: 5px solid #00b5cc;
  border-radius: 5px;
  transition: all 400ms ease;
}



.front {
  transform: rotateY(180deg);
}

.back {
  background-image: url('tart-capa.jpg');
  backface-visibility: hidden;
}

.reveal-card {
  transform: rotateY(180deg);
}

.disabled-card {
  filter: saturate(0);
  opacity: 0.5;
}

@media screen and (max-width:920px) {
  .grid {
    grid-template-columns: repeat(5, 1fr);

  }
}